tool
extends Resource
class_name SummerDayDocument


signal track_added(track)
signal track_deleted(track) # Not used yet. Implement please.


export(Resource) var scene = _scene_generation()
export(Array, Resource) var tracks


func setup_tracks():
	for track in tracks:
		emit_signal("track_added", track)


func add_track(blueprint: SummerDayBlueprint):
	var track = SummerDayTrack.new()
	track.blueprint = blueprint
	track.add_cell(0)
	tracks.append(track)
	emit_signal("track_added", track)


func _scene_generation() -> SummerDayScene:
	var _scene = SummerDayScene.new()
	_scene.resource_path = "res://production/test/scene_001.tres"
	_scene.aspect_ratio = Vector2(12.0, 9.0)
	return _scene
